#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.2.0.2
visibility:           public
id:                   ghcide-1.2.0.2-2AahuzAENiaFMCOwDtM9ov
key:                  ghcide-1.2.0.2-2AahuzAENiaFMCOwDtM9ov
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  d1a67b9719bffa300f96f5f5f5891b51
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor Development.IDE.Core.RuleTypes
    Development.IDE.Core.Rules Development.IDE.Core.Service
    Development.IDE.Core.Shake Development.IDE.Core.Tracing
    Development.IDE.Core.UseStale Development.IDE.GHC.Compat
    Development.IDE.GHC.Error Development.IDE.GHC.ExactPrint
    Development.IDE.GHC.Orphans Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-8.10.4/site-local/ghcide-1.2.0.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/ghcide-1.2.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/ghcide-1.2.0.2
hs-libraries:         HSghcide-1.2.0.2-2AahuzAENiaFMCOwDtM9ov
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-JCPMy6cvdsGJ0hIFvkrXgh
    aeson-1.5.6.0-G2v73QUB9N5Jp10pJbeU60 array-0.5.4.0
    async-2.2.3-bRJqoep3gj749cy8sss28 base-4.14.1.0
    base16-bytestring-1.0.1.0-ACAk6UnKid9CJt3stBqH5 binary-0.8.8.0
    bytestring-0.10.12.0
    bytestring-encoding-0.1.1.0-Drybt57Zr77BEYGb4t0U0K
    case-insensitive-1.2.1.0-L4eezPrloIkFfLdkfuDqXK containers-0.6.2.1
    cryptohash-sha1-0.11.100.1-GwOGlQ9i8hY1wQXawIaKuh
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV deepseq-1.4.4.0
    dependent-map-0.4.0.0-CVAmffILfxAVEhO0rxN8e
    dependent-sum-0.7.1.0-GBZI8wlXgoUFtqsPGgGdAM directory-1.3.6.0
    dlist-1.0-KFY6kePYM7gDQLIElBL83C extra-1.7.9-DJi56EaEsDAEqD7AsmOKO4
    filepath-1.4.2.1 fingertree-0.1.4.2-El1w0TVdhPh9ExURQ8FKzN
    fuzzy-0.1.0.0-KPv2hPSieCYKCbPAZDAYqD ghc-8.10.4 ghc-boot-8.10.4
    ghc-boot-th-8.10.4 ghc-check-0.5.0.4-9lgRKT1mUSsH8dhzOV4rzs
    ghc-exactprint-0.6.4-DVbDoNXiaQN3ykJQDMtFI8
    ghc-paths-0.1.0.12-LgiNEBvorJD4Iq1vCUjVLQ
    ghc-trace-events-0.1.2.2-BiH0bU4psYw4WGq0mosl17
    haddock-library-1.10.0-94pWMjJmaXY156sB9JvS6Z
    hashable-1.3.1.0-1TzQw0rlraYH9EvMt0jxBh
    heapsize-0.3.0.1-7rMS8VHHpI8Lfw396nIf13
    hie-bios-0.7.5-4FwohL0WTU85OeKK5trp62
    hie-compat-0.1.0.0-BawUS8x3AaLFtmpIwUJRjn
    hiedb-0.3.0.1-AnykKQXBoqM3A21TQduCUt
    hls-plugin-api-1.1.0.0-Gt3Uu09LzPX82UJFWMBAcU
    hslogger-1.3.1.0-HU8bnldAlCP8pDlWyTqI9t
    implicit-hie-cradle-0.3.0.2-9FoQs93CvOkJrgxjMJeCIT
    lens-5.0.1-503Yo50nYnh6oMVAvqRKzn
    lsp-1.2.0.0-JRcSeVPzMCdI50WEKx9Vdq
    lsp-types-1.2.0.0-IMwVLBmaTQCSMb3M0z7bd mtl-2.2.2
    network-uri-2.6.4.1-1BmCyGgbb9xCyfeFepQNgy
    opentelemetry-0.6.1-JrZMB79nSqEKblZMXJfmKV
    optparse-applicative-0.16.1.0-B9DBBvhrbFt7Di04tN5A7U
    parallel-3.2.2.0-HTf2o2horULDwL7cXUB9uv
    prettyprinter-1.7.0-7mHsYxQuoj6x74QtnBsUq
    prettyprinter-ansi-terminal-1.1.2-2w4P0cJKWSc2ZdGOqqhRSH
    regex-tdfa-1.3.1.0-JGQEzvFVQF39kClVWuccwj
    retrie-0.1.1.1-3QX3rgn7hDZ9nB9oqdKtZW
    rope-utf16-splay-0.3.2.0-2GVTksnjixzJGmZDSetc26
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    safe-exceptions-0.1.7.1-2w7aqd118RZ8sxN9lvp2D0
    shake-0.19.4-AOjipFsTO1FKu1qSyLRTwN
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk
    sqlite-simple-0.4.18.0-4QZNoXUooaxJdJ6YkwDjfb stm-2.5.0.0
    syb-0.7.2.1-IHzu7I6ikCoGwAbnu6OBXz text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.15-9eublLNWB4z1ZQAioStU0b
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-6CorcJuUNAZJ43lHhm1xtn
    utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV
    vector-0.12.3.0-IwaLbQErzPq95Qm3ml0M2u

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

